org.springframework.data.spel.spi

## Interface ReactiveEvaluationContextExtension

All Superinterfaces:
  ExtensionIdAware

    public interface ReactiveEvaluationContextExtension
    extends ExtensionIdAware

SPI to resolve a `EvaluationContextExtension` to make it accessible via the root of an `EvaluationContext` provided by a `ExtensionAwareQueryMethodEvaluationContextProvider`.

Extensions can be ordered by following Spring's `Ordered` conventions.

Since:
  2.4
Author:
  Mark Paluch
See Also:
  `EvaluationContextExtension`, `Ordered`, `Order`

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<? extends EvaluationContextExtension>` `getExtension()` Return the `EvaluationContextExtension` to be consumed during the actual execution.

### Methods inherited from interface org.springframework.data.spel.spi.ExtensionIdAware

`getExtensionId`

### Method Detail

#### getExtension

    reactor.core.publisher.Mono<? extends EvaluationContextExtension> getExtension()

Return the `EvaluationContextExtension` to be consumed during the actual execution. It's strongly recommended to declare the most concrete type possible as return type of the implementation method. This will allow us to obtain the necessary metadata once and not for every evaluation.

Returns:
  the resolved `EvaluationContextExtension`. Publishers emitting no value will be skipped.